"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Determines when the ProcessEngine will resolve after a new ProcessInstance was started.
 */
var StartCallbackType;
(function (StartCallbackType) {
    /**
       * The ProcessEngine will resolve immediately after the ProcessInstance was started.
       */
    StartCallbackType[StartCallbackType["CallbackOnProcessInstanceCreated"] = 1] = "CallbackOnProcessInstanceCreated";
    /**
       * The ProcessEngine will resolve after the first EndEvent was reached.
       */
    StartCallbackType[StartCallbackType["CallbackOnProcessInstanceFinished"] = 2] = "CallbackOnProcessInstanceFinished";
    /**
       * The ProcessEngine will resolve after a specific EndEvent was reached.
       */
    StartCallbackType[StartCallbackType["CallbackOnEndEventReached"] = 3] = "CallbackOnEndEventReached";
})(StartCallbackType = exports.StartCallbackType || (exports.StartCallbackType = {}));
//# sourceMappingURL=start_callback_type.js.map