import { BpmnType } from '../bpmn_type';
/**
 * Describes an EmptyActivity.
 *
 * An empty activity is an activity that doesn't do anything but pass on the
 * token it received.
 *
 * Think of it as kind of a break point that you can set in your diagram to halt
 * its execution.
 */
export declare class EmptyActivity {
    readonly flowNodeType: BpmnType;
    id: string;
    flowNodeInstanceId?: string;
    name: string;
    correlationId: string;
    processModelId: string;
    processInstanceId?: string;
    tokenPayload: any;
}
