import { EventType } from './event_type';
/**
 * Describes a triggerable event.
 */
export declare class Event {
    /**
     * The model ID of the event, as it is declared in the ProcessModel.
     */
    id: string;
    /**
     * The name of the event, as it is declared in the ProcessModel.
     */
    eventName: string;
    /**
     * The BPMN type of the event (StartEvent, EndEvent, etc).
     */
    bpmnType: string;
    /**
     * The type of the event (Message, Signal, etc).
     */
    eventType: EventType;
    /**
     * The instance ID of the event.
     */
    flowNodeInstanceId?: string;
    correlationId: string;
    processModelId: string;
    processInstanceId?: string;
}
