import { BpmnType } from '../bpmn_type';
/**
 * Describes a suspended ManualTask that is waiting to be finished.
 */
export declare class ManualTask {
    readonly flowNodeType: BpmnType;
    /**
     * The model ID of the ManualTask, as it is declared in the ProcessModel.
     */
    id: string;
    /**
     * The name of the ManualTask, as it is declared in the ProcessModel.
     */
    name: string;
    /**
     * The instance ID of the ManualTask.
     */
    flowNodeInstanceId?: string;
    correlationId: string;
    processModelId: string;
    processInstanceId?: string;
    /**
     * The token payload the ManualTask got suspended with.
     */
    tokenPayload: any;
}
