import { BpmnType } from '../bpmn_type';
import { UserTaskConfig } from './user_task_config';
/**
 * Describes a suspended UserTask that is waiting to be finished.
 */
export declare class UserTask {
    readonly flowNodeType: BpmnType;
    /**
     * The model ID of the UserTask, as it is declared in the ProcessModel.
     */
    id: string;
    /**
     * The name of the UserTask, as it is declared in the ProcessModel.
     */
    name: string;
    /**
     * The instance ID of the UserTask.
     */
    flowNodeInstanceId?: string;
    correlationId: string;
    processModelId: string;
    processInstanceId?: string;
    /**
     * Contains information about the UserTasks configuration,
     * such as the FormFields that can be accessed.
     */
    data: UserTaskConfig;
    /**
     * The token payload the UserTask got suspended with.
     */
    tokenPayload: any;
}
